package com.asda.android.app.account

enum class Countries(val countryCode: String, val countryName: String, val position: Int) {
    UNITED_KINGDOM("GB", "United Kingdom", 0),
    AUSTRIA("AT", "Austria", 1),
    BELGIUM("BE", "Belgium", 2),
    BULGARIA("BG", "Bulgaria", 3),
    CZECH_REPUBLIC("CZ", "Czech Republic", 4),
    CYPRUS("CY", "Cyprus", 5),
    CROATIA("HR", "Croatia", 6),
    DENMARK("DK", "Denmark", 7),
    ESTONIA("EE", "Estonia", 8),
    FRANCE("FR", "France", 9),
    FINLAND("FI", "Finland", 10),
    GERMANY("DE", "Germany", 11),
    GREECE("GR", "Greece", 12),
    HUNGARY("HU", "Hungary", 13),
    IRELAND("IE", "Ireland", 14),
    ITALY("IT", "Italy", 15),
    LITHUANIA("LT", "Lithuania", 16),
    LATVIA("LV", "Latvia", 17),
    LUXEMBOURG("LU", "Luxembourg", 18),
    MALTA("MT", "Malta", 19),
    NETHERLANDS("NL", "Netherlands", 20),
    POLAND("PL", "Poland", 21),
    PORTUGAL("PT", "Portugal", 22),
    ROMANIA("RO", "Romania", 23),
    SLOVENIA("SI", "Slovenia", 24),
    SLOVAKIA("SK", "Slovakia", 25),
    SPAIN("ES", "spain", 26),
    SWEDEN("SE", "Sweden", 27);

    companion object {
        fun getCountryName(code: String): Countries? {
            return values().firstOrNull { it.countryCode == code }
        }
    }
}

