package com.asda.android.app.account.address

import com.asda.android.base.core.validator.IValidator
import com.asda.android.restapi.service.data.AddressBookResponse

class AddressEmptyValidator : IValidator<AddressBookResponse.Address?> {
    override fun validate(t: AddressBookResponse.Address?): Boolean {
        return (t?.address.isNullOrEmpty() || t?.city.isNullOrEmpty()) &&
              !(t?.postalCode.isNullOrEmpty())
    }
}
