package com.asda.android.app.account.listeners

import io.reactivex.Observable
import io.reactivex.Observer

open class DefaultObservable<T>(private val t: T) : Observable<T>() {
    override fun subscribeActual(observer: Observer<in T>) {
        observer.onNext(t)
        observer.onComplete()
    }
}
