package com.asda.android.app.beforeyougo.formatter

import android.annotation.SuppressLint
import com.asda.android.service.base.CartManager

class CartRecipeIdsFormatter : BaseCartItemsFormatter() {
    @SuppressLint("CheckResult")
    override fun getIds(input: CartManager): List<String?>? {
        var ids: List<String?>? = mutableListOf()
        input.recipeItemList.forEach { items ->
            ids = items?.map { trolleyRecipe -> trolleyRecipe?.id }
        }
        return ids
    }
}
