package com.asda.android.app.beforeyougo.formatter

import android.annotation.SuppressLint
import android.util.Log
import com.asda.android.cxo.CartManager

class CxoCartRecipeIdsFormatter : BaseCxoCartItemsFormatter() {
    @SuppressLint("CheckResult")
    override fun getIds(input: CartManager): List<String?>? {
        var ids: ArrayList<String?>? = arrayListOf()
        input.getCartRecipes()?.let {
            for (recipe in it) {
                ids?.add(recipe.recipeId)
            }
        }
        return ids
    }

}
