package com.asda.android.app.beforeyougo.formatter

import com.asda.android.base.core.formatter.IFormatter
import com.asda.android.restapi.service.data.recipes.RecipeViewResponse

class RecipeIdsFormatter : IFormatter<Array<RecipeViewResponse.Recipe>, String> {
    private val separator = ","
    override fun format(input: Array<RecipeViewResponse.Recipe>): String {
        return input.mapNotNull { item -> item.recipeId }.distinct().joinToString(separator)
    }
}
