package com.asda.android.app.bookslot

import com.fasterxml.jackson.annotation.JsonIgnoreProperties
import com.fasterxml.jackson.annotation.JsonProperty

@JsonIgnoreProperties(ignoreUnknown = true)
data class BannerConfig(
      @JsonProperty("text")
      val text: String?,
      @JsonProperty("textColorHEX")
      val textColorHex: String?,
      @JsonProperty("backgroundHEX")
      val backgroundHex: String?,
      @JsonProperty("backgroundImageURL")
      val backgroundImageUrl: String?,
      @JsonProperty("buttonTitle")
      val buttonTitle: String?,
      @JsonProperty("buttonTitleColorHEX")
      val buttonTitleColorHex: String?,
      @JsonProperty("backText")
      val backText: String?,
      @JsonProperty("startDateComponents")
      val startDateComponent: BannerConfigDate?)


@JsonIgnoreProperties(ignoreUnknown = true)
data class BannerConfigDate(
      @JsonProperty("day")
      val day: String?,
      @JsonProperty("month")
      val month: String?,
      @JsonProperty("year")
      val year: String?)
