package com.asda.android.app.bookslotv3.adapter

import android.content.Context
import androidx.fragment.app.FragmentPagerAdapter
import com.asda.android.app.bookslotv3.view.fragment.BookSlotFragment

class BookSlotParentAdapter(fm: androidx.fragment.app.FragmentManager,
                            homeDeliveryFragment: BookSlotFragment,
                            clickNCollectFragment: BookSlotFragment,
                            context: Context)
    : FragmentPagerAdapter(fm) {

    private val context = context

    override fun getCount(): Int {
        return childFragments.size
    }

    private val childFragments: Array<BookSlotFragment> = arrayOf(homeDeliveryFragment, clickNCollectFragment)

    override fun getItem(position: Int): BookSlotFragment {
        return childFragments[position]
    }

    override fun getPageTitle(position: Int): CharSequence {
        return getItem(position).getCurrentFragmentTitle(context = context)
    }
}

