package com.asda.android.app.bookslotv3.view

import android.graphics.Rect
import android.view.View


class ItemDecorationGrid(private val mSizeGridSpacingPx: Int) : androidx.recyclerview.widget.RecyclerView.ItemDecoration() {

    override fun getItemOffsets(outRect: Rect, view: View, parent: androidx.recyclerview.widget.RecyclerView, state: androidx.recyclerview.widget.RecyclerView.State) {
        outRect.top = mSizeGridSpacingPx
        outRect.left = mSizeGridSpacingPx
        outRect.right = 0
        outRect.bottom = 0
    }
}

