package com.asda.android.app.cncgeofence.utils

import com.asda.android.utils.Utils
import java.text.SimpleDateFormat
import java.util.*

object Formatters {
    val sFullDateFormat = SimpleDateFormat("EEEE, dd MMMM yyyy hh:mma", Locale.US)
    val sNoWeekdayDateFormat = SimpleDateFormat("dd MMMM yyyy hh:mma", Locale.US)
    val sDateFormat = SimpleDateFormat("EEEE, d MMMM yyyy", Locale.US)

    init {
        sFullDateFormat.timeZone = Utils.UK.TIME_ZONE
        sNoWeekdayDateFormat.timeZone = Utils.UK.TIME_ZONE
        sDateFormat.timeZone = Utils.UK.TIME_ZONE
    }
}
