package com.asda.android.app.dp.callbacks

import com.asda.android.three_ds.ThreeDsUtils
import com.asda.android.three_ds.three_ds_2x.ThreeDS2XImpl

class CardinalInitCallbackImpl : ThreeDS2XImpl.CardinalInitCallback {
    override fun onSuccess(consumerSessionId: String?) {
        if (!consumerSessionId.isNullOrEmpty()) {
            ThreeDsUtils.isCardinalInitSuccess = true
        }
    }

    override fun onFailed(errorNumber: Int?, errorDesc: String?) {
        if ((errorNumber != null && errorNumber.toString().isNotEmpty()) || !errorDesc.isNullOrEmpty()) {
            ThreeDsUtils.isCardinalInitSuccess = false
        }
    }
}
