package com.asda.android.app.dp.model

import android.os.Parcelable
import kotlinx.android.parcel.Parcelize

@Parcelize
data class DeliveryPassItemModel(
    var name: String? = null,
    var dpMinSpendAmt: String? = null,
    var desc: String? = null,
    var oneTimeId: String? = null,
    var monthlyId: String? = null,
    var oneTimePrice: String? = null,
    var monthlyPrice: String? = null,
    var durationMonths: Int = 0,
    var weekUsage: String? = null,
    var isMidWeekDp: String? = null,
    var midWeekDPDays: String? = null,
    var isInstallmentType: Boolean = false,
    var isMonthlyFreeTrial: Boolean = false,
    var isOneTimeFreeTrial: Boolean = false,
    var isDPPlus: Boolean = false
) : Parcelable
