package com.asda.android.app.shop.formatter

import com.asda.android.base.core.formatter.IFormatter

class TaxonomyPathEndFormatter : IFormatter<String, String> {

    override fun format(input: String): String {
        if (input.isNotEmpty()) {
            val lastPos = input.lastIndexOf(':') + 1
            return input.substring(lastPos).trim { it <= ' ' }
        }
        return ""
    }
}
