package com.asda.android.app.shop.taxonomy.manager

import android.content.Context
import com.asda.android.app.settings.featureflag.FeatureSettings
import com.asda.android.base.interfaces.IFeatureSettingManager

object FeatureSettingManager : IFeatureSettingManager {

    override fun isP13NOffersOnAisleEnabled(
        context: Context): Boolean {
        return FeatureSettings.isP13NOffersOnAisleEnabled(context)
    }

    override fun isCXOMigrationEnabled(context: Context): Boolean {
        return FeatureSettings.isCXOMigrationEnabled(context)
    }

    override fun isAllOffersP13NEnabled(context: Context): Boolean {
        return FeatureSettings.isAllOffersP13NEnabled(context)
    }

    override fun isRelatedSearchesEnabled(context: Context): Boolean {
        return FeatureSettings.isRelatedSearchesEnabled(context)
    }

}
