package com.asda.giftcard

import android.content.Context
import com.asda.android.R
import com.asda.android.restapi.service.data.cart.Cart
import com.asda.android.restapi.service.data.giftcard.GiftCardResponse

class GiftCardFormatter {

    companion object {

        fun getErrorMessage(context: Context, error: String?): String? {
            return when (error) {
                "AG_400", "AG_500" -> context.getString(R.string.something_went_wrong)

                "AG_401" -> context.getString(R.string.invalid_git_card_api_error)

                "AG_201" -> context.getString(R.string.gift_card_no_money_error_message)

                "AG_204" -> context.getString(R.string.gift_card_added_message)

                "AG_200" -> context.getString(R.string.gift_card_dp_error_message)

                else -> error
            }
        }
    }
}
