package com.asda.lastmile.mock

import android.graphics.Color
import com.facebook.litho.Column
import com.facebook.litho.ComponentContext
import com.facebook.litho.ComponentLayout
import com.facebook.litho.annotations.LayoutSpec
import com.facebook.litho.annotations.OnCreateLayout
import com.facebook.litho.annotations.Prop
import com.facebook.litho.widget.Text
import com.facebook.yoga.YogaEdge

@LayoutSpec
object EmptyOrdersSpec {

    @OnCreateLayout
    internal fun onCreateLayout(c: ComponentContext, @Prop title: String): ComponentLayout {

        return Column.create(c)
                .paddingDip(YogaEdge.ALL, 16f)
                .backgroundColor(Color.WHITE)
                .child(Text.create(c).text(title).textSizeDip(20f))
                .build()
    }
}
