package com.asda.android.app.dp.validator

import com.asda.android.app.dp.model.ShowDPCardValidatorModel
import com.asda.android.base.core.validator.Validator


class ShowDPOfferValidator : Validator<ShowDPCardValidatorModel>() {
    override fun isValid(t: ShowDPCardValidatorModel): Boolean {
        return t.authentication.hasDPOffer() && t.activeDeliveryPass == null
    }
}
