package com.asda.android.app.shop.taxonomy.parser

import android.net.UrlQuerySanitizer
import com.asda.android.base.core.parser.IParser

class DimensionIdParser : IParser<String?, String> {
    override fun parse(input: String?): String {
        var result = ""
        input?.let {
            val sanitizer = UrlQuerySanitizer(it)
            result = if (sanitizer.hasParameter("N")) {
                sanitizer.getValue("N")
            } else it
        }
        return result
    }

}
