package com.asda.android.lastmile.carcolor.formatter

import com.asda.android.R
import com.asda.android.lastmile.carcolor.view.CarColorAdapter

class CarColorItem(carColor: Int) {

    var carColorTitle = when (carColor) {
        CarColorAdapter.WHITE_CAR -> R.string.ci_white_color
        CarColorAdapter.BLACK_CAR -> R.string.ci_black_color
        CarColorAdapter.GREY_CAR -> R.string.ci_grey_color
        CarColorAdapter.SILVER_CAR -> R.string.ci_silver_color
        CarColorAdapter.BLUE_CAR -> R.string.ci_blue_color
        CarColorAdapter.RED_CAR -> R.string.ci_red_color
        CarColorAdapter.GREEN_CAR -> R.string.ci_green_color
        CarColorAdapter.OTHER_CAR_COLOR -> R.string.other
        else -> R.string.other
    }

    var colorTint = when (carColor) {
        CarColorAdapter.WHITE_CAR -> R.color.ci_white_color
        CarColorAdapter.BLACK_CAR -> R.color.ci_black_color
        CarColorAdapter.GREY_CAR -> R.color.ci_grey_color
        CarColorAdapter.SILVER_CAR -> R.color.ci_silver_color
        CarColorAdapter.BLUE_CAR -> R.color.ci_blue_color
        CarColorAdapter.RED_CAR -> R.color.ci_red_color
        CarColorAdapter.GREEN_CAR -> R.color.ci_green_color
        else -> -1
    }
}
